import { FC, HTMLAttributes } from 'react';
export interface Props extends HTMLAttributes<HTMLButtonElement> {
    /**
        * This is the size of the font.
    */
    size?: number;
    /**
        * This is the font-weight of the font.
    */
    weight?: number;
    /**
        * This is the width of the button.
    */
    width?: number;
    /**
        * This is a boolean attribute that swaps between primary and secondary button.
    */
    secondary?: boolean;
    /**
        * This is a boolean attribute that toggles between active or inactive button.
    */
    disabled?: boolean;
}
export declare const Button: FC<Props>;
export default Button;
