"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var useIsomorphicLayoutEffect_1 = __importDefault(require("./useIsomorphicLayoutEffect"));
var useEventListener_1 = __importDefault(require("../../button/hooks/useEventListener"));
function useElementSize() {
    // Mutable values like 'ref.current' aren't valid dependencies
    // because mutating them doesn't re-render the component.
    // Instead, we use a state as a ref to be reactive.
    var _a = (0, react_1.useState)(null), ref = _a[0], setRef = _a[1];
    var _b = (0, react_1.useState)({
        width: 0,
        height: 0
    }), size = _b[0], setSize = _b[1];
    // Prevent too many rendering using useCallback
    var handleSize = (0, react_1.useCallback)(function () {
        setSize({
            width: (ref === null || ref === void 0 ? void 0 : ref.offsetWidth) || 0,
            height: (ref === null || ref === void 0 ? void 0 : ref.offsetHeight) || 0
        });
    }, [ref === null || ref === void 0 ? void 0 : ref.offsetHeight, ref === null || ref === void 0 ? void 0 : ref.offsetWidth]);
    (0, useEventListener_1.default)('resize', handleSize);
    (0, useIsomorphicLayoutEffect_1.default)(function () {
        handleSize();
    }, [ref === null || ref === void 0 ? void 0 : ref.offsetHeight, ref === null || ref === void 0 ? void 0 : ref.offsetWidth]);
    return [setRef, size];
}
exports.default = useElementSize;
