"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InputPhone = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/* eslint-disable react/require-default-props */
var react_1 = require("react");
var useOnClickOutside_1 = require("../hooks/useOnClickOutside");
var styled_1 = require("./styled");
var styled_2 = require("./styled");
var InputPhone = function (_a) {
    var error = _a.error, success = _a.success, countries = _a.countries, getPrefix = _a.getPrefix, onChangeValue = _a.onChangeValue, props = __rest(_a, ["error", "success", "countries", "getPrefix", "onChangeValue"]);
    var _b = (0, react_1.useState)(false), isActive = _b[0], setIsActive = _b[1];
    var _c = (0, react_1.useState)(''), phone = _c[0], setPhone = _c[1];
    var inputRef = (0, react_1.useRef)(null);
    var onlyNumbers = /^[0-9]+$/;
    (0, useOnClickOutside_1.useOnClickOutside)(inputRef, function () { return setIsActive(false); });
    var _d = (0, react_1.useState)({
        prefix: '+54',
        isFlag: 'https://cdn.kcak11.com/CountryFlags/countries/ar.svg',
        country: 'Argentina'
    }), _e = _d[0], prefix = _e.prefix, isFlag = _e.isFlag, country = _e.country, setPrefix = _d[1];
    var activeToggle = function () { return setIsActive(!isActive); };
    var handleClick = function (name, dialCode, flag) {
        setPrefix({ country: name, prefix: dialCode, isFlag: flag });
        setIsActive(!isActive);
    };
    var handleOnlyNumbers = function (val) {
        if (val.length > 0) {
            if (!onlyNumbers.test(val.at(-1)))
                return;
        }
        setPhone(val);
    };
    (0, react_1.useEffect)(function () { return getPrefix && getPrefix(prefix); }, [prefix]);
    (0, react_1.useEffect)(function () {
        onChangeValue(prefix + phone);
    }, [prefix, phone]);
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsxs)(styled_2.InputContainer, __assign({ isActive: isActive, ref: inputRef }, { children: [(0, jsx_runtime_1.jsx)(styled_2.StyledInput, __assign({}, props, { value: phone, onChange: function (e) { return handleOnlyNumbers(e.target.value); }, error: !!error, success: !!success, isActive: isActive }), void 0), (0, jsx_runtime_1.jsxs)(styled_2.SelectDefaultOption, __assign({ isActive: isActive }, { children: [(0, jsx_runtime_1.jsx)(styled_2.FlagButton, __assign({ type: 'button', onClick: activeToggle, isActive: isActive }, { children: (0, jsx_runtime_1.jsx)(styled_2.Flag, { src: isFlag, alt: country }, void 0) }), void 0), (0, jsx_runtime_1.jsx)("span", { children: prefix }, void 0)] }), void 0), (0, jsx_runtime_1.jsx)(styled_2.OptionsList, __assign({ isActive: isActive }, { children: countries.map(function (_a) {
                            var name = _a.name, dialCode = _a.dialCode, flag = _a.flag;
                            return ((0, jsx_runtime_1.jsx)(styled_2.Option, { children: (0, jsx_runtime_1.jsxs)(styled_2.OptionButton, __assign({ type: 'button', onClick: function () { return handleClick(name, dialCode, flag); } }, { children: [(0, jsx_runtime_1.jsx)(styled_2.Flag, { src: flag, alt: name }, void 0), (0, jsx_runtime_1.jsx)(styled_2.OptionCountry, { children: name }, void 0), (0, jsx_runtime_1.jsxs)(styled_2.OptionPrefix, { children: ["(", dialCode, ")"] }, void 0)] }), void 0) }, name));
                        }) }), void 0)] }), void 0), !!error && (0, jsx_runtime_1.jsx)(styled_1.InputMessage, __assign({ type: 'error' }, { children: error }), void 0), !!success && (0, jsx_runtime_1.jsx)(styled_1.InputMessage, __assign({ type: 'success' }, { children: success }), void 0)] }, void 0));
};
exports.InputPhone = InputPhone;
exports.default = exports.InputPhone;
