"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InputMessage = exports.OptionPrefix = exports.OptionCountry = exports.OptionButton = exports.Option = exports.OptionsList = exports.Flag = exports.FlagButton = exports.SelectDefaultOption = exports.StyledInput = exports.InputContainer = void 0;
var styled_components_1 = __importStar(require("styled-components"));
var is_success_svg_1 = __importDefault(require("../assets/is-success.svg"));
var is_error_svg_1 = __importDefault(require("../assets/is-error.svg"));
exports.InputContainer = styled_components_1.default.section(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n  position: relative;\n  font-size: 16px;\n  line-height: 19px;\n  font-family: ", ";\n  color: ", ";\n\n  &:after {\n    content: '';\n    position: absolute;\n    top: 51px;\n    left: 25px;\n    display: block;\n    width: 86%;\n    ", ";\n  }\n\n  @media screen and (min-width: 768px) {\n    font-size: 18px;\n    line-height: 21px;\n\n    &::after {\n      width: 90%;\n    }\n  }\n"], ["\n  position: relative;\n  font-size: 16px;\n  line-height: 19px;\n  font-family: ", ";\n  color: ", ";\n\n  &:after {\n    content: '';\n    position: absolute;\n    top: 51px;\n    left: 25px;\n    display: block;\n    width: 86%;\n    ", ";\n  }\n\n  @media screen and (min-width: 768px) {\n    font-size: 18px;\n    line-height: 21px;\n\n    &::after {\n      width: 90%;\n    }\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.fonts.primary;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
}, function (_a) {
    var theme = _a.theme, isActive = _a.isActive;
    return isActive && "border-top: 1px solid ".concat(theme.colors.inputs.disabled);
});
exports.StyledInput = styled_components_1.default.input(templateObject_4 || (templateObject_4 = __makeTemplateObject(["\n  display: block;\n  width: 100%;\n  padding: 12px 36px 12px 118px;\n  padding-bottom: ", ";\n  border: 1px solid ", ";\n  border-color: ", ";\n  border-radius: 30px;\n  outline: none;\n\n  font-size: inherit;\n  font-family: inherit;\n  color: inherit;\n\n  background-color: transparent;\n  background-repeat: no-repeat;\n  background-position: 96% 10px;\n\n  box-shadow: ", ";\n\n  transition: border-color 0.3s ease, box-shadow 0.3s ease-in-out,\n    padding-bottom 0.3s ease-in-out;\n\n  ", "\n  ", "\n\n  &::placeholder {\n    text-align: start;\n    font-weight: 300;\n  }\n\n  &:focus {\n    border-color: ", ";\n  }\n\n  @media screen and (min-width: 768px) {\n    padding: 14px 44px 14px 122px;\n    padding-bottom: ", ";\n    background-position-y: 12px;\n  }\n"], ["\n  display: block;\n  width: 100%;\n  padding: 12px 36px 12px 118px;\n  padding-bottom: ", ";\n  border: 1px solid ", ";\n  border-color: ", ";\n  border-radius: 30px;\n  outline: none;\n\n  font-size: inherit;\n  font-family: inherit;\n  color: inherit;\n\n  background-color: transparent;\n  background-repeat: no-repeat;\n  background-position: 96% 10px;\n\n  box-shadow: ", ";\n\n  transition: border-color 0.3s ease, box-shadow 0.3s ease-in-out,\n    padding-bottom 0.3s ease-in-out;\n\n  ", "\n  ", "\n\n  &::placeholder {\n    text-align: start;\n    font-weight: 300;\n  }\n\n  &:focus {\n    border-color: ", ";\n  }\n\n  @media screen and (min-width: 768px) {\n    padding: 14px 44px 14px 122px;\n    padding-bottom: ", ";\n    background-position-y: 12px;\n  }\n"])), function (_a) {
    var isActive = _a.isActive;
    return isActive && '178px';
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.inputs.disabled;
}, function (_a) {
    var isActive = _a.isActive;
    return isActive && 'transparent';
}, function (_a) {
    var theme = _a.theme, isActive = _a.isActive;
    return isActive && theme.boxShadow.shadowCards;
}, function (_a) {
    var theme = _a.theme, error = _a.error, success = _a.success;
    return error &&
        !success && (0, styled_components_1.css)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n      border-color: ", ";\n      background-image: url(", ");\n    "], ["\n      border-color: ", ";\n      background-image: url(", ");\n    "])), theme.colors.inputs.error, is_error_svg_1.default);
}, function (_a) {
    var theme = _a.theme, error = _a.error, success = _a.success;
    return !error &&
        success && (0, styled_components_1.css)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n      border-color: ", ";\n      background-image: url(", ");\n    "], ["\n      border-color: ", ";\n      background-image: url(", ");\n    "])), theme.colors.inputs.success, is_success_svg_1.default);
}, function (_a) {
    var theme = _a.theme, isActive = _a.isActive;
    return !isActive && theme.colors.inputs.focus;
}, function (_a) {
    var isActive = _a.isActive;
    return isActive && '186px';
});
exports.SelectDefaultOption = styled_components_1.default.article(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n  position: absolute;\n  top: 1px;\n  left: 1px;\n  display: flex;\n  justify-content: space-between;\n  align-items: center;\n  width: 111px;\n  padding: 8px 6px 8px 20px;\n\n  border-radius: 30px;\n  color: inherit;\n\n  & span {\n    padding-top: 4px;\n    padding-bottom: 4px;\n  }\n\n  @media screen and (min-width: 768px) {\n    padding-top: 10px;\n    padding-bottom: 10px;\n  }\n"], ["\n  position: absolute;\n  top: 1px;\n  left: 1px;\n  display: flex;\n  justify-content: space-between;\n  align-items: center;\n  width: 111px;\n  padding: 8px 6px 8px 20px;\n\n  border-radius: 30px;\n  color: inherit;\n\n  & span {\n    padding-top: 4px;\n    padding-bottom: 4px;\n  }\n\n  @media screen and (min-width: 768px) {\n    padding-top: 10px;\n    padding-bottom: 10px;\n  }\n"])));
exports.FlagButton = styled_components_1.default.button(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n  display: flex;\n  padding-top: 4px;\n  padding-bottom: 4px;\n  border: none;\n  border-right: 1px solid ", ";\n  background: none;\n  cursor: pointer;\n\n  &:after {\n    content: '';\n    display: block;\n    margin-top: 3px;\n    margin-right: 8.5px;\n    border-left: 5px solid transparent;\n    border-right: 5px solid transparent;\n    border-top: 7px solid\n      ", ";\n\n    transform: ", ";\n\n    transition: transform 0.3s ease-in-out;\n\n    @media screen and (min-width: 768px) {\n      margin-right: 6px;\n    }\n  }\n  @media screen and (min-width: 768px) {\n    padding-top: 6px;\n    padding-bottom: 6px;\n  }\n"], ["\n  display: flex;\n  padding-top: 4px;\n  padding-bottom: 4px;\n  border: none;\n  border-right: 1px solid ", ";\n  background: none;\n  cursor: pointer;\n\n  &:after {\n    content: '';\n    display: block;\n    margin-top: 3px;\n    margin-right: 8.5px;\n    border-left: 5px solid transparent;\n    border-right: 5px solid transparent;\n    border-top: 7px solid\n      ", ";\n\n    transform: ", ";\n\n    transition: transform 0.3s ease-in-out;\n\n    @media screen and (min-width: 768px) {\n      margin-right: 6px;\n    }\n  }\n  @media screen and (min-width: 768px) {\n    padding-top: 6px;\n    padding-bottom: 6px;\n  }\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.inputs.disabled;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.typography.primaryTypography;
}, function (_a) {
    var isActive = _a.isActive;
    return isActive ? 'rotate(-180deg)' : 'rotate(0)';
});
exports.Flag = styled_components_1.default.img(templateObject_7 || (templateObject_7 = __makeTemplateObject(["\n  width: 21px;\n  height: 13px;\n  margin-right: 8px;\n  border-radius: 3px;\n\n  @media screen and (min-width: 768px) {\n    margin-right: 5px;\n  }\n"], ["\n  width: 21px;\n  height: 13px;\n  margin-right: 8px;\n  border-radius: 3px;\n\n  @media screen and (min-width: 768px) {\n    margin-right: 5px;\n  }\n"])));
exports.OptionsList = styled_components_1.default.ul(templateObject_8 || (templateObject_8 = __makeTemplateObject(["\n  position: absolute;\n  top: 54px;\n  left: 23px;\n  width: 85%;\n  height: ", ";\n  margin-top: ", ";\n  margin-bottom: 24px;\n\n  list-style: none;\n  overflow: auto;\n  &::-webkit-scrollbar{\n      width: 8px;\n  }\n\n  &::-webkit-scrollbar-track {\n      background: ", ";\n  }\n\n  &::-webkit-scrollbar-thumb {\n      background-color: ", ";\n      border-radius: 30px;\n\n      &:hover, &:active {\n          background-color: #97E2DF;\n      }\n  }\n\n  transition: height 0.3s ease-in-out, margin-top 0.3s ease-in-out;\n\n  @media screen and (min-width: 768px) {\n    width: 91%;\n  }\n"], ["\n  position: absolute;\n  top: 54px;\n  left: 23px;\n  width: 85%;\n  height: ", ";\n  margin-top: ", ";\n  margin-bottom: 24px;\n\n  list-style: none;\n  overflow: auto;\n  &::-webkit-scrollbar{\n      width: 8px;\n  }\n\n  &::-webkit-scrollbar-track {\n      background: ", ";\n  }\n\n  &::-webkit-scrollbar-thumb {\n      background-color: ", ";\n      border-radius: 30px;\n\n      &:hover, &:active {\n          background-color: #97E2DF;\n      }\n  }\n\n  transition: height 0.3s ease-in-out, margin-top 0.3s ease-in-out;\n\n  @media screen and (min-width: 768px) {\n    width: 91%;\n  }\n"])), function (_a) {
    var isActive = _a.isActive;
    return (isActive ? '130px' : '0');
}, function (_a) {
    var isActive = _a.isActive;
    return (isActive ? '14px' : '0');
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.background.backgroundNavSwitcher;
}, function (_a) {
    var theme = _a.theme;
    return theme.colors.underline.primaryUnderline;
});
exports.Option = styled_components_1.default.li(templateObject_9 || (templateObject_9 = __makeTemplateObject(["\n  margin-bottom: 15px;\n"], ["\n  margin-bottom: 15px;\n"])));
exports.OptionButton = styled_components_1.default.button(templateObject_10 || (templateObject_10 = __makeTemplateObject(["\n  border: none;\n  font-size: inherit;\n  font-weight: 300;\n  font-family: inherit;\n  color: inherit;\n  background: none;\n  cursor: pointer;\n"], ["\n  border: none;\n  font-size: inherit;\n  font-weight: 300;\n  font-family: inherit;\n  color: inherit;\n  background: none;\n  cursor: pointer;\n"])));
exports.OptionCountry = styled_components_1.default.span(templateObject_11 || (templateObject_11 = __makeTemplateObject(["\n  margin-left: 4px;\n"], ["\n  margin-left: 4px;\n"])));
exports.OptionPrefix = styled_components_1.default.span(templateObject_12 || (templateObject_12 = __makeTemplateObject(["\n  margin-left: 6px;\n  color: ", ";\n"], ["\n  margin-left: 6px;\n  color: ", ";\n"])), function (_a) {
    var theme = _a.theme;
    return theme.colors.inputs.disabled;
});
exports.InputMessage = styled_components_1.default.p(templateObject_13 || (templateObject_13 = __makeTemplateObject(["\n  margin-top: 10px;\n  padding-left: 20px;\n  color: ", ";\n  font-family: ", ";\n"], ["\n  margin-top: 10px;\n  padding-left: 20px;\n  color: ", ";\n  font-family: ", ";\n"])), function (_a) {
    var theme = _a.theme, type = _a.type;
    return type === 'error' ? theme.colors.inputs.error : theme.colors.inputs.success;
}, function (_a) {
    var theme = _a.theme;
    return theme.fonts.primary;
});
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6, templateObject_7, templateObject_8, templateObject_9, templateObject_10, templateObject_11, templateObject_12, templateObject_13;
