"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SelectList = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/* eslint-disable react/require-default-props */
var react_1 = require("react");
var useElementSize_1 = __importDefault(require("../hooks/useElementSize"));
var useOnClickOutside_1 = require("../hooks/useOnClickOutside");
var styled_1 = require("./styled");
var SelectList = function (_a) {
    var error = _a.error, success = _a.success, secondary = _a.secondary, name = _a.name, placeholder = _a.placeholder, categories = _a.categories, onOptionChange = _a.onOptionChange;
    var _b = (0, useElementSize_1.default)(), squareRef = _b[0], width = _b[1].width;
    var inputRef = (0, react_1.useRef)(null);
    var _c = (0, react_1.useState)(placeholder || 'Select category'), option = _c[0], setOption = _c[1];
    var _d = (0, react_1.useState)(false), isActive = _d[0], setIsActive = _d[1];
    (0, useOnClickOutside_1.useOnClickOutside)(inputRef, function () { return setIsActive(false); });
    var handleisActive = function () { return setIsActive(!isActive); };
    var handleOption = function (category) {
        setOption(category);
        onOptionChange(category);
        handleisActive();
    };
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)(styled_1.Container, __assign({ ref: squareRef }, { children: (0, jsx_runtime_1.jsxs)(styled_1.SelectContainer, __assign({ ref: inputRef, isActive: isActive, error: error, success: success, secondary: secondary }, { children: [(0, jsx_runtime_1.jsx)(styled_1.SelectDefaultOption, __assign({ name: name, type: 'button', onClick: handleisActive, isActive: isActive }, { children: option }), void 0), (0, jsx_runtime_1.jsx)(styled_1.OptionsContainer, __assign({ isActive: isActive, width: width }, { children: categories ? (categories.map(function (category) { return ((0, jsx_runtime_1.jsx)("li", { children: (0, jsx_runtime_1.jsx)(styled_1.Option, __assign({ type: 'button', onClick: function () { return handleOption(category); } }, { children: category }), void 0) }, category)); })) : ((0, jsx_runtime_1.jsx)("p", { children: "Cargando..." }, void 0)) }), void 0)] }), void 0) }), void 0), !!error && (0, jsx_runtime_1.jsx)(styled_1.InputMessage, __assign({ type: 'error' }, { children: error }), void 0), !!success && (0, jsx_runtime_1.jsx)(styled_1.InputMessage, __assign({ type: 'success' }, { children: success }), void 0)] }, void 0));
};
exports.SelectList = SelectList;
exports.default = exports.SelectList;
