"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SelectListWCheckbox = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = require("react");
var useElementSize_1 = __importDefault(require("../hooks/useElementSize"));
var useOnClickOutside_1 = require("../hooks/useOnClickOutside");
var styled_1 = require("./styled");
var SelectListWCheckbox = function (_a) {
    var categories = _a.categories, placeholder = _a.placeholder, name = _a.name, error = _a.error, success = _a.success, onOptionChange = _a.onOptionChange;
    var _b = (0, useElementSize_1.default)(), squareRef = _b[0], width = _b[1].width;
    var inputRef = (0, react_1.useRef)(null);
    var _c = (0, react_1.useState)(false), isActive = _c[0], setIsActive = _c[1];
    var _d = (0, react_1.useState)({}), options = _d[0], setOptions = _d[1];
    var handleisActive = function () { return setIsActive(!isActive); };
    (0, useOnClickOutside_1.useOnClickOutside)(inputRef, function () { return setIsActive(false); });
    var handleOption = function (e, category) {
        Object.keys(options).map(function (key) {
            return key === category &&
                setOptions(function (prev) {
                    var _a;
                    return (__assign(__assign({}, prev), (_a = {}, _a[category] = e.target.checked, _a)));
                });
        });
    };
    (0, react_1.useEffect)(function () {
        categories.map(function (category) {
            return setOptions(function (prev) {
                var _a;
                return (__assign(__assign({}, prev), (_a = {}, _a[category] = false, _a)));
            });
        });
    }, [categories]);
    (0, react_1.useEffect)(function () {
        onOptionChange(options);
    }, [options]);
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)(styled_1.Container, __assign({ ref: squareRef }, { children: (0, jsx_runtime_1.jsxs)(styled_1.SelectContainer, __assign({ isActive: isActive, ref: inputRef }, { children: [(0, jsx_runtime_1.jsx)(styled_1.SelectButton, __assign({ name: name, type: 'button', onClick: handleisActive, isActive: isActive }, { children: placeholder || 'Select category' }), void 0), (0, jsx_runtime_1.jsx)(styled_1.OptionsContainer, __assign({ isActive: isActive, width: width }, { children: categories ? (categories.map(function (category) { return ((0, jsx_runtime_1.jsxs)("li", { children: [(0, jsx_runtime_1.jsx)(styled_1.CheckBox, { name: category, id: category, type: 'checkbox', onChange: function (e) { return handleOption(e, category); } }, void 0), (0, jsx_runtime_1.jsx)(styled_1.Label, __assign({ htmlFor: category }, { children: category }), void 0)] }, category)); })) : ((0, jsx_runtime_1.jsx)("p", { children: "Cargando..." }, void 0)) }), void 0)] }), void 0) }), void 0), !!error && (0, jsx_runtime_1.jsx)(styled_1.InputMessage, __assign({ type: 'error' }, { children: error }), void 0), !!success && (0, jsx_runtime_1.jsx)(styled_1.InputMessage, __assign({ type: 'success' }, { children: success }), void 0)] }, void 0));
};
exports.SelectListWCheckbox = SelectListWCheckbox;
exports.default = exports.SelectListWCheckbox;
