"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SocialNetworkButton = exports.SocialNetwork = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var socialNetworkIcons_1 = require("../../svgc/socialNetworkIcons");
var styled_1 = require("./styled");
var WhatsappIcon_1 = __importDefault(require("../../svgc/socialNetworkIcons/WhatsappIcon"));
var SocialNetwork;
(function (SocialNetwork) {
    SocialNetwork["facebook"] = "facebook";
    SocialNetwork["twitter"] = "twitter";
    SocialNetwork["instagram"] = "instagram";
    SocialNetwork["linkedin"] = "linkedin";
    SocialNetwork["telegram"] = "telegram";
    SocialNetwork["tiktok"] = "tiktok";
    SocialNetwork["twitch"] = "twitch";
    SocialNetwork["youtube"] = "youtube";
    SocialNetwork["pinterest"] = "pinterest";
    SocialNetwork["github"] = "github";
    SocialNetwork["behance"] = "behance";
    SocialNetwork["web"] = "web";
    SocialNetwork["whatsapp"] = "whatsapp";
})(SocialNetwork = exports.SocialNetwork || (exports.SocialNetwork = {}));
var SocialNetworkButton = function (_a) {
    var socialNetwork = _a.socialNetwork, to = _a.to, size = _a.size;
    var linkIcon;
    var imgIcon;
    switch (socialNetwork) {
        case SocialNetwork.facebook:
            linkIcon = 'https://www.facebook.com/';
            imgIcon = (0, jsx_runtime_1.jsx)(socialNetworkIcons_1.FacebookIcon, { width: size }, void 0);
            break;
        case SocialNetwork.twitter:
            linkIcon = 'https://twitter.com/?lang=es';
            imgIcon = (0, jsx_runtime_1.jsx)(socialNetworkIcons_1.TwitterIcon, { width: size }, void 0);
            break;
        case SocialNetwork.instagram:
            linkIcon = 'https://www.instagram.com/?hl=es';
            imgIcon = (0, jsx_runtime_1.jsx)(socialNetworkIcons_1.InstagramIcon, { width: size }, void 0);
            break;
        case SocialNetwork.linkedin:
            linkIcon = 'https://www.linkedin.com/feed/';
            imgIcon = (0, jsx_runtime_1.jsx)(socialNetworkIcons_1.LinkedinIcon, { width: size }, void 0);
            break;
        case SocialNetwork.telegram:
            linkIcon = 'https://web.telegram.org/k/';
            imgIcon = (0, jsx_runtime_1.jsx)(socialNetworkIcons_1.TelegramIcon, { width: size }, void 0);
            break;
        case SocialNetwork.tiktok:
            linkIcon = 'https://www.tiktok.com/es/';
            imgIcon = (0, jsx_runtime_1.jsx)(socialNetworkIcons_1.TiktokIcon, { width: size }, void 0);
            break;
        case SocialNetwork.twitch:
            linkIcon = 'https://www.twitch.tv/';
            imgIcon = (0, jsx_runtime_1.jsx)(socialNetworkIcons_1.TwitchIcon, { width: size }, void 0);
            break;
        case SocialNetwork.youtube:
            linkIcon = 'https://www.youtube.com/';
            imgIcon = (0, jsx_runtime_1.jsx)(socialNetworkIcons_1.YoutubeIcon, { width: size }, void 0);
            break;
        case SocialNetwork.pinterest:
            linkIcon = 'https://www.pinterest.com/';
            imgIcon = (0, jsx_runtime_1.jsx)(socialNetworkIcons_1.PinterestIcon, { width: size }, void 0);
            break;
        case SocialNetwork.github:
            linkIcon = 'https://www.github.com/';
            imgIcon = (0, jsx_runtime_1.jsx)(socialNetworkIcons_1.GithubIcon, { width: size }, void 0);
            break;
        case SocialNetwork.behance:
            linkIcon = 'https://www.behance.com/';
            imgIcon = (0, jsx_runtime_1.jsx)(socialNetworkIcons_1.BehanceIcon, { width: size }, void 0);
            break;
        case SocialNetwork.web:
            linkIcon = 'https://www.upwaydigitalsolutions.com/';
            imgIcon = (0, jsx_runtime_1.jsx)(socialNetworkIcons_1.WebIcon, { width: size }, void 0);
            break;
        case SocialNetwork.whatsapp:
            linkIcon = 'https://api.whatsapp.com/message/D5VO36UTZADWJ1?autoload=1&app_absent=0';
            imgIcon = (0, jsx_runtime_1.jsx)(WhatsappIcon_1.default, { width: size }, void 0);
            break;
        default:
            linkIcon = '';
            imgIcon = (0, jsx_runtime_1.jsx)(socialNetworkIcons_1.FacebookIcon, { width: 0 }, void 0);
            break;
    }
    return ((0, jsx_runtime_1.jsx)("a", __assign({ href: to || linkIcon, "aria-label": "Link", target: '_blank', rel: 'noreferrer' }, { children: (0, jsx_runtime_1.jsx)(styled_1.Icon, { children: imgIcon }, void 0) }), void 0));
};
exports.SocialNetworkButton = SocialNetworkButton;
exports.default = exports.SocialNetworkButton;
