"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AllProps = exports.Disabled = exports.Secondary = exports.Primary = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var Button_1 = require("../../core/atoms/button/Button");
exports.default = {
    title: 'Atoms/Button',
    component: Button_1.Button,
    argTypes: {
        size: {
            control: 'number', defaultValue: 20, type: { name: 'number', required: false },
            table: { defaultValue: { summary: 20 } },
            description: 'This is the size of the font.'
        },
        weight: {
            control: 'number', defaultValue: 700, type: { name: 'number', required: false },
            table: { defaultValue: { summary: 700 } },
            description: 'This is the font-weight of the font.'
        },
        width: {
            control: 'number', required: false, type: { name: 'number', required: false },
            table: { defaultValue: { summary: '< 768px: 100% | >= 768px: auto' } },
            description: 'This is the width of the button.'
        },
        secondary: {
            control: 'boolean', defaultValue: false, type: { name: 'boolean', required: false },
            table: { defaultValue: { summary: false } },
            description: 'This is a boolean attribute that swaps between primary and secondary button.'
        },
        disabled: {
            control: 'boolean', defaultValue: false, type: { name: 'boolean', required: false },
            table: { defaultValue: { summary: false } },
            description: 'This is a boolean attribute that toggles between active or inactive button.'
        }
    },
};
var Template = function (args) { return (0, jsx_runtime_1.jsx)(Button_1.Button, __assign({}, args, { children: "I am a Button" }), void 0); };
exports.Primary = Template.bind({});
exports.Primary.args = {
    size: 25
};
exports.Secondary = Template.bind({});
exports.Secondary.args = {
    size: 25,
    secondary: true
};
exports.Disabled = Template.bind({});
exports.Disabled.args = {
    size: 25,
    disabled: true
};
exports.AllProps = Template.bind({});
exports.AllProps.args = {
    size: 25,
    weight: 700,
    width: 100,
    secondary: true,
    disabled: true
};
