"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.search = exports.isSuccess = exports.isError = exports.Standard = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var atoms_1 = require("../../../core/atoms");
exports.default = {
    title: 'Atoms/Forms/Input',
    component: atoms_1.Input,
    argTypes: {
        placeholderSize: {
            control: 'text', defaultValue: 16, type: { name: 'string', required: false },
            table: { defaultValue: { summary: 16 } },
            description: 'This is the size of the font.'
        },
        error: {
            control: 'string', defaultValue: false, type: { name: 'string', required: false },
            table: { defaultValue: { summary: false } },
            description: 'This is a string attribute that turns the error effect on or off.'
        },
        success: {
            control: 'string', defaultValue: false, type: { name: 'string', required: false },
            table: { defaultValue: { summary: false } },
            description: 'This is a string attribute that turns the success effect on or off.'
        },
        secondary: {
            description: 'This is a boolean attribute that turns the search icon on or off.'
        }
    },
};
var Template = function (args) { return (0, jsx_runtime_1.jsx)(atoms_1.Input, __assign({}, args), void 0); };
exports.Standard = Template.bind({});
exports.Standard.args = {
    placeholderSize: '16',
    placeholder: 'suEmail@gmail.com'
};
exports.isError = Template.bind({});
exports.isError.args = {
    placeholderSize: '16',
    error: 'No es un formato valido',
    placeholder: 'suEmail@gmail.com'
};
exports.isSuccess = Template.bind({});
exports.isSuccess.args = {
    placeholderSize: '16',
    success: 'enviado correctamente',
    placeholder: 'suEmail@gmail.com'
};
exports.search = Template.bind({});
exports.search.args = {
    type: 'search',
    placeholderSize: '16',
    secondary: true,
    placeholder: 'suEmail@gmail.com'
};
