"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Primary = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var molecules_1 = require("../../core/molecules");
var big_blog_svg_1 = __importDefault(require("../assets/big-blog.svg"));
exports.default = {
    title: 'Molecules/BigBlogCard',
    component: molecules_1.BigBlogCard,
    argTypes: {
        title: {
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the title in the card.'
        },
        date: {
            description: 'Blog creation date.'
        },
        howLong: {
            description: 'Reading time.'
        },
        content: {
            description: 'Content summary.'
        },
        img: {
            description: 'Blog image.'
        },
        btnValue: {
            description: 'Blog button value.'
        },
        imgOnClick: {
            action: function () { return alert('Image onClick Event'); },
            table: { defaultValue: { summary: '() => void' } },
            description: 'This is the image onClick event handler in the card.'
        },
        btnOnClick: {
            action: function () { return alert('Button onClick Event'); },
            table: { defaultValue: { summary: '() => void' } },
            description: 'This is the button onClick event handler in the card.'
        },
    },
};
var Template = function (args) { return (0, jsx_runtime_1.jsx)(molecules_1.BigBlogCard, __assign({}, args), void 0); };
exports.Primary = Template.bind({});
exports.Primary.args = {
    img: big_blog_svg_1.default,
    title: 'Titulo Principal (destacado semanal)',
    date: '12 Dic. 2021',
    howLong: '12 mins',
    content: ['Lorem ipsum dolor sit amet, consectetur adipiscing elit. Amet, id sed nunc, dignissim vel nec luctus. Magna tristique adipiscing mauris, ut fermentum. Duis nunc enim ut egestas at lectus amet non. Vitae justo dolor eu felis mattis tincidunt sem dignissim.', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Amet, id sed nunc, dignissim vel nec luctus. Magna tristique adipiscing mauris, ut fermentum. Duis nunc enim ut egestas at lectus amet non. Vitae justo dolor eu felis mattis tincidunt sem dignissimddd.'],
    btnValue: 'Seguir leyendo',
    imgOnClick: function () { return alert('Image Event'); },
    btnOnClick: function () { return alert('Button Event'); }
};
