"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Primary = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var molecules_1 = require("../../core/molecules");
var blog_svg_1 = __importDefault(require("../assets/blog.svg"));
exports.default = {
    title: 'Molecules/SmallBlogCard',
    component: molecules_1.SmallBlogCard,
    argTypes: {
        title: {
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the title in the card.'
        },
        date: {
            description: 'Blog creation date.'
        },
        howLong: {
            description: 'Reading time.'
        },
        content: {
            description: 'Content summary.'
        },
        tags: {
            description: 'Blog tags.'
        },
        img: {
            description: 'Blog image.'
        },
        imgOnClick: {
            action: function () { return alert('Primary Button'); },
            table: { defaultValue: { summary: '() => void' } },
            description: 'This is the image onClick event handler in the card.'
        }
    },
};
var Template = function (args) { return (0, jsx_runtime_1.jsx)(molecules_1.SmallBlogCard, __assign({}, args), void 0); };
exports.Primary = Template.bind({});
exports.Primary.args = {
    title: 'Titulo Blog 1',
    date: '12 Dic. 2021',
    howLong: '12 mins',
    content: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Amet, id sed nunc, dignissim vel nec luctus. Magna tristique adipiscing mauris',
    tags: ['uxui', 'uxuidesign', 'diseñouxui'],
    img: blog_svg_1.default,
    imgOnClick: function () { return alert('Primary Button'); }
};
