"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Primary = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var molecules_1 = require("../../core/molecules/");
exports.default = {
    title: 'Molecules/VacancyCard',
    component: molecules_1.VacancyCard,
    argTypes: {
        title: {
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the title in the card.'
        },
        positionKey: {
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the active position key in the card.'
        },
        positionValue: {
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the active position value in the card.'
        },
        locationKey: {
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the title active location key in the card.'
        },
        locationValue: {
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the title active location value in the card.'
        },
        btnValue: {
            control: 'text', type: { name: 'string', required: true },
            table: { defaultValue: { summary: 'string' } },
            description: 'This is the button text in the card.'
        },
        btnOnClick: {
            action: function () { return alert('Primary Button'); },
            table: { defaultValue: { summary: '() => void' } },
            description: 'This is the button onClick event handler in the card.'
        }
    },
};
var Template = function (args) { return (0, jsx_runtime_1.jsx)(molecules_1.VacancyCard, __assign({}, args), void 0); };
exports.Primary = Template.bind({});
exports.Primary.args = {
    title: 'Diseño UX UI',
    positionKey: 'Position',
    positionValue: 'Part - Time',
    locationKey: 'Location',
    locationValue: 'Bs As, Argentina',
    btnValue: 'Postularme',
    btnOnClick: function () { return alert('Primary Button'); }
};
